//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------
USEFORM("Main.cpp", MainForm);
USEFORM("ChildWin.cpp", MDIChild);
USERES("ImageViewer.res");
USEFORM("about.cpp", AboutBox);
USEFORM("gamma.cpp", GammaDlg);
USEFORM("JpegConfig.cpp", JPEGOptions);
USEUNIT("EditableBitmap.cpp");
USEFORM("PngConfig.cpp", PngConfiguration);
USEFORM("Alpha.cpp", AlphaChannelDialog);
USEUNIT("..\source\pngoutputstream.cpp");
USEUNIT("..\source\bmpdecoder.cpp");
USEUNIT("..\source\bmpencoder.cpp");
USEUNIT("..\source\crc32.cpp");
USEUNIT("..\source\deflateencoder.cpp");
USEUNIT("..\source\deflatehuffmanencoder.cpp");
USEUNIT("..\source\imagetype.cpp");
USEUNIT("..\source\inflatedecoder.cpp");
USEUNIT("..\source\inflatehuffmandecoder.cpp");
USEUNIT("..\source\inputbytestream.cpp");
USEUNIT("..\source\jfif.cpp");
USEUNIT("..\source\jpgdecoder.cpp");
USEUNIT("..\source\jpgdecodercomponent.cpp");
USEUNIT("..\source\jpgdecoderdataunit.cpp");
USEUNIT("..\source\jpgdecoderquantization.cpp");
USEUNIT("..\source\jpgencoder.cpp");
USEUNIT("..\source\jpgencodercomponent.cpp");
USEUNIT("..\source\jpgencoderdataunit.cpp");
USEUNIT("..\source\jpgencoderquantization.cpp");
USEUNIT("..\source\jpghuffmandecoder.cpp");
USEUNIT("..\source\jpghuffmanencoder.cpp");
USEUNIT("..\source\jpginputfilestream.cpp");
USEUNIT("..\source\jpginputmapstream.cpp");
USEUNIT("..\source\jpgoutputfilestream.cpp");
USEUNIT("..\source\jpgpvt.cpp");
USEUNIT("..\source\outputbytestream.cpp");
USEUNIT("..\source\pngdecoder.cpp");
USEUNIT("..\source\pngencoder.cpp");
USEUNIT("..\source\pnginputfilestream.cpp");
USEUNIT("..\source\pnginputmapstream.cpp");
USEUNIT("..\source\pnginputstream.cpp");
USEUNIT("..\source\pngoutputfilestream.cpp");
USEUNIT("..\source\bitmapimage.cpp");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	Application->Initialize();
	Application->Title = "Image Viewer";
        Application->CreateForm(__classid(TMainForm), &MainForm);
    Application->CreateForm(__classid(TAboutBox), &AboutBox);
    Application->CreateForm(__classid(TGammaDlg), &GammaDlg);
    Application->CreateForm(__classid(TJPEGOptions), &JPEGOptions);
    Application->CreateForm(__classid(TPngConfiguration), &PngConfiguration);
    Application->CreateForm(__classid(TAlphaChannelDialog), &AlphaChannelDialog);
    Application->Run();

	return 0;
}
//---------------------------------------------------------------------
